Issue in starting Talend open studio for Big Data

Highlighted
Four Stars

Issue in starting Talend open studio for Big Data

Hi Team,

I have install Talend open studio for Big Data in Ubuntu ec2 instance.

Talend Version: TOS_BD-20180411_1414-V7.0.1

Java Version: Oracle JDK 1.8.0_181

 

While starting the Talend using the shell command bash:TOS_BD-linux-gtk-x86.sh, facing issue with macxos error. Please find below the error message:

!SESSION 2018-09-13 10:10:27.672 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_181
java.vendor=Oracle Corporation
BootLoader constants: OS=linux, ARCH=x86_64, WS=gtk, NL=en_US
Command-line arguments:  -os linux -ws gtk -arch x86_64

!ENTRY org.eclipse.jdt.launching.macosx 4 0 2018-09-13 10:10:28.943
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.macosx [159]
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

        at org.eclipse.osgi.container.Module.start(Module.java:434)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.jdt.launching.ui.macosx 4 0 2018-09-13 10:10:28.993
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.jdt.launching.ui.macosx [272]
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=macosx)"

        at org.eclipse.osgi.container.Module.start(Module.java:434)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.compare.win32 4 0 2018-09-13 10:10:29.096
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.compare.win32 [814]
  Unresolved requirement: Require-Capability: eclipse.platform; filter:="(osgi.os=win32)"

        at org.eclipse.osgi.container.Module.start(Module.java:434)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
        at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
        at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
        at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.osgi 4 0 2018-09-13 10:10:30.406
!MESSAGE Application error
!STACK 1
java.lang.UnsatisfiedLinkError: Could not load SWT library. Reasons:
        /home/ubuntu/talend/TOS_BD-20180411_1414-V7.0.1/configuration/org.eclipse.osgi/522/0/.cp/libswt-pi-gtk-4430.so: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
        no swt-pi-gtk in java.library.path
        /home/ubuntu/.swt/lib/linux/x86_64/libswt-pi-gtk-4430.so: libgtk-x11-2.0.so.0: cannot open shared object file: No such file or directory
        Can't load library: /home/ubuntu/.swt/lib/linux/x86_64/libswt-pi-gtk.so

        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:327)
        at org.eclipse.swt.internal.Library.loadLibrary(Library.java:236)
        at org.eclipse.swt.internal.gtk.OS.<clinit>(OS.java:39)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:63)
        at org.eclipse.swt.internal.Converter.wcsToMbcs(Converter.java:54)
        at org.eclipse.swt.widgets.Display.<clinit>(Display.java:135)
        at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:716)
        at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:162)
        at org.talend.rcp.intro.Application.start(Application.java:97)
        at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:134)
        at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:104)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:380)
        at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:235)
        at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
        at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
        at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
        at java.lang.reflect.Method.invoke(Method.java:498)
        at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:648)
        at org.eclipse.equinox.launcher.Main.basicRun(Main.java:603)
        at org.eclipse.equinox.launcher.Main.run(Main.java:1465)
        at org.eclipse.equinox.launcher.Main.main(Main.java:1438)

Any help would be very much appreciated.

 

Thanks,

Prabhu CV

Moderator

Re: Issue in starting Talend open studio for Big Data

Hello Prabhu CV,

It looks like an issue with eclipse, you need to install libswt-gtk-3-java and libswt-gtk-3-jni packages.

Could you please have a look at this article about:https://askubuntu.com/questions/125150/unsatisfied-link-error-and-missing-so-files-when-starting-ecl...?

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
Four Stars

Re: Issue in starting Talend open studio for Big Data

Hello Sabrina,

I dont have eclipse installed, actually we dont have UI in that ubuntu ec2 instance. Though, I have tried to install and moved the package what they have suggested in that link. Still it is not working, showing the same error.

 

Regards,

Prabhu

Moderator

Re: Issue in starting Talend open studio for Big Data

Hello,

Talend Studio is an Eclipse based application. Installing gtk2 package doesn't work for you? It seems there might be something wrong with OS.

Here is online document about:TalendHelpCenter:Compatible Operating Systems for talend open studio for bigdata v 7.0.1

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.
One Star

Re: Issue in starting Talend open studio for Big Data

I have made updates to my centOS machine, now my version is 7.5.1804 and my version of TBS is 7.0.1.

While loading, it remains steady on the item: "Fetching available TaCoKit configurations ..."

Compatibility is given up to 7.4 CentOS.
How can I solve this problem.

Thank you

Moderator

Re: Issue in starting Talend open studio for Big Data

Hello @Celeborn81,

Are you able to get the logs / thread dump when it's blocked?

So far, CentOS 7.5 is not list in the supported table.

Best regards

Sabrina

--
Don't forget to give kudos when a reply is helpful and click Accept the solution when you think you're good with it.

2019 GARNER MAGIC QUADRANT FOR DATA INTEGRATION TOOL

Talend named a Leader.

Get your copy

OPEN STUDIO FOR DATA INTEGRATION

Kickstart your first data integration and ETL projects.

Download now

What’s New for Talend Summer ’19

Watch the recorded webinar!

Watch Now

Talend Cloud Available on Microsoft Azure

An integration platform-as-a-serviceto help enterprises collect, govern, transform, and share data from any data sources

Watch Now

Self-service Talend Migration: Moving from On-Premises to the Cloud

Move from On-Premises to the Cloud by following the advice of experts

Read Now

How to deploy Talend Jobs as Docker images to Amazon, Azure and Google Cloud reg...

Learn how to deploy Talend Jobs as Docker images to Amazon, Azure and Google Cloud registries

Blog